> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Weblink Imports



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/projects/{projectId}/weblink-imports
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/weblink-imports:
    post:
      tags:
        - Weblink Imports
      summary: Create Weblink Imports
      operationId: WeblinkImportsController_create_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateWeblinkImportDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WeblinkImportResponseDto'
components:
  schemas:
    CreateWeblinkImportDto:
      type: object
      properties:
        initialArea:
          type: object
          properties:
            areaId:
              type: string
            structureVersion:
              type: integer
              exclusiveMinimum: 0
              maximum: 9007199254740991
            quantity:
              type: string
              pattern: ^(?!0+(?:\.0{1,2})?$)\d{1,16}(?:\.\d{1,2})?$
          required:
            - areaId
            - structureVersion
            - quantity
          additionalProperties: false
        categoryId:
          type: string
        url:
          type: string
          minLength: 1
          maxLength: 2048
        clientImportId:
          type: string
          format: uuid
          pattern: >-
            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
      required:
        - categoryId
        - url
        - clientImportId
      additionalProperties: false
    WeblinkImportResponseDto:
      type: object
      properties:
        itemId:
          type: string
        slotId:
          type: string
        unmappedFields:
          type: array
          items:
            $ref: '#/components/schemas/UnmappedWeblinkFieldDto'
        statedCurrency:
          type: string
          nullable: true
      required:
        - itemId
        - slotId
        - unmappedFields
        - statedCurrency
    UnmappedWeblinkFieldDto:
      type: object
      properties:
        field:
          type: string
        value:
          type: string
      required:
        - field
        - value

````